Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SpriteGraphicsBuffer Class Reference

スプライトグラフィックスバッファ More...

`#include <SpriteGraphicsBuffer.h>`

Inheritance diagram for Lamp::SpriteGraphicsBuffer:

List of all members.

## Public Member Functions
virtual void | request (const Point2f &minPosition, const Point2f &maxPosition, const TexCoord2 &minUV, const TexCoord2 &maxUV)
| リクエスト
virtual void | render ()
| レンダリング
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
## Protected Member Functions
| SpriteGraphicsBuffer ()
| コンストラクタ
virtual | ~SpriteGraphicsBuffer ()
| デストラクタ
virtual void | setup ()
| セットアップ
virtual void | buildIndexBuffer ()
| インデックスバッファの構築
## Friends
class | SpriteRenderer

## Detailed Description

スプライトグラフィックスバッファ

Definition at line 36 of file SpriteGraphicsBuffer.h.

## Member Function Documentation

virtual bool Lamp::SpriteGraphicsBuffer::initializeGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 65 of file SpriteGraphicsBuffer.h.

void Lamp::SpriteGraphicsBuffer::request | ( | const Point2f & | minPosition,
|  | const Point2f & | maxPosition,
|  | const TexCoord2 & | minUV,
|  | const TexCoord2 & | maxUV
| ) | `[virtual]`

  | リクエスト Parameters:
  minPosition | 最小位置
  maxPosition | 最大位置
  minUV | 最小UV
  maxUV | 最大UV
Definition at line 53 of file SpriteGraphicsBuffer.cpp. References Assert, NULL, render(), Lamp::TexCoord2::u, Lamp::TexCoord2::v, Lamp::Point2f::x, and Lamp::Point2f::y. Referenced by Lamp::SpriteRenderState::request().

virtual bool Lamp::SpriteGraphicsBuffer::restoreGraphicsDeviceObjects | ( |  | ) | `[inline, virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Implements Lamp::GraphicsDeviceObjectHolder. Definition at line 76 of file SpriteGraphicsBuffer.h.

The documentation for this class was generated from the following files:

- SpriteGraphicsBuffer.h
- SpriteGraphicsBuffer.cpp